Get account usage for a time range.
curl --request GET \
--url https://api.example.com/v2/accounts/{account_id}/usage \
--header 'x-api-key: <api-key>'import requests
url = "https://api.example.com/v2/accounts/{account_id}/usage"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.example.com/v2/accounts/{account_id}/usage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"account": {
"id": "account_0194f4e3a2b77c6aa91c4f6b4db2a980",
"external_id": "crm_acme_001",
"ledgerup_customer_id": "0194f4e3-a2b7-7c6a-a91c-4f6b4db2a980",
"name": "Acme",
"description": "Usage tracked for Acme.",
"created_at": 1767225600,
"updated_at": 1767225600,
"archived_at": 1767225600
},
"events_consumed": [
{
"metric_id": "metric_0194f4e3a2b77c6aa91c4f6b4db2a980",
"currency": "usd",
"metric_name": "Tokens",
"measurement_units": "m",
"quantity": "1250.5"
}
]
}"<string>""Invalid API key""<string>""not found""<string>""<string>""rate limit exceeded""<string>"Accounts
Get account usage for a time range.
GET
/
v2
/
accounts
/
{account_id}
/
usage
Get account usage for a time range.
Authorizations
LedgerUp API Key.
Path Parameters
Resource identifier. LedgerUp account identifier.
Pattern:
^account_[0-9a-f]{32}$Example:
"account_0194f4e3a2b77c6aa91c4f6b4db2a980"
Query Parameters
Inclusive lower bound for event occurrence time. Unix timestamp in seconds.
Example:
1767225600
Exclusive upper bound for event occurrence time. Unix timestamp in seconds.
Example:
1767225600
Aggregation applied to corrected usage events. Defaults to sum. Aggregation applied to corrected usage events. latest returns the quantity from the event with the latest occurred_at; ties use accepted_at then event ID. count returns the number of events.
Available options:
sum, min, max, avg, latest, count Example:
"sum"
Aggregate only events for this currency. Normalized to lowercase.
Pattern:
^[A-Za-z]{3}$Example:
"usd"